.headpanel {
   position: relative;

   &.headpanel__container {
      margin-top: 120px;
   }

   .headpanel__background {
      background: #212360;
      background-image: linear-gradient(-180deg,rgba(0,160,255,0),#013a6b);
      background-image: -webkit-gradient(linear,left top,left bottom,from(rgba(0,160,255,0)),to(#013a6b));
      position: relative;
      overflow: hidden;
      width: 100%;
      z-index: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 130px;
   }

   .headpanel__title-n-breadcrumb {
      position: relative;
   }

   .headpanel__title {
      font-size: 30px;
      font-weight: 600;
      color: #fff;
      text-align: center;
   }

   .headpanel__breadcrumb {
      position: relative;

      ol.breadcrumb { margin-top: 0; }
      .breadcrumb {
         margin-bottom: 0;
         background-color: hsla(0,0%,100%,0);
         border: 0;
         justify-content: center;
         padding: 5px 0 0;
         display: flex;
         flex-wrap: wrap;
         list-style: none;
         border-radius: 0;

         .breadcrumb-item {
            font-size: 14px;

            &.active {
               color: #fff;
               opacity: 1;
            }

            a {
               color: #fff;
               opacity: .7;
            }

            &.breadcrumb-item {
               &::before {
                  font-family: "Font Awesome\ 5 Free";
                  content: "\f054";
                  color: #fff;
                  font-size: 12px;
                  font-weight: 600;
                  display: inline-block;
                  padding-right: .5rem;
               }
            }

            &.breadcrumb-item {
               &:first-child {
                  &::before {
                     display: none;
                  }
               }
            }
         }
      }
   }
}

.content-layout {
   position: relative;

   &::before {
      display: table;
      line-height: 0;
      content: "";
   }

   &::after {
      content: "";
      display: block;
      height: 0;
      clear: both;
   }
}

.content-layout {
   &.layout--2-column {
      display: flex;
      align-items: flex-start;
      padding: 20px 0;

      &.layout--filter-n-content {
         .content-left {
            display: inline-block;
            width: 22%;
         }
      
         .content-right {
            display: inline-block;
            width: 77%;
            position: relative;
            vertical-align: top;
            box-sizing: border-box;
         }
      }
   }
}

.layout--filter-n-content {
   .content-left {
      .layout-filter {
         position: relative;
         height: 100%;
      }
   }

   .content-right {
      .layout-content {
         position: relative;
         box-sizing: border-box;
         padding-left: 30px;
      }
   }
}

.content-left {
   .layout-filter {
      .layout-filter__heading {
         display: block;
         position: fixed;
         top: 89px;
         left: 0;
         right: -1px;
         height: 20px;
         z-index: 999;
      }

      .layout-filter__container {
         border-left: 1px solid #e0e0e0;
         border-right: 1px solid #e0e0e0;
         border-bottom: 1px solid #e0e0e0;
         background: #ffffff;
         border-radius: 5px;

         &.sticky {
            border-top: 1px solid #e0e0e0;
         }
      }

      .filter-content {
         position: relative;
         padding-bottom: 15px;
         border-bottom: 1px solid #e0e0e0;

         &:last-child {
            border-bottom: 0;
         }
      }
   }

   .filter-content {
      .filter-content__title {
         position: relative;
         height: 40px;
         width: 100%;
      }

      .filter-content__item {
         padding: 0 17px;

         .c-searchbar-theme-input {
            padding-right: 10px;
         }

         .c-btn-search-theme {
            max-width: none;
            min-width: auto;
            width: 40px;
         }

         .c-header__searchbar-theme .c-searchbar-theme .c-btn {
            border-radius: 3px;
         }

         .c-searchbar-theme-input input {
            font-size: 13px;
            line-height: 20px;
         }

         .custom-control.custom-radio {
            display: flex;
            align-items: center;
            margin-bottom: 5px;

            &:last-child {
               margin-bottom: 0;
            }

            label {
               display: inline-block;
               font-size: 13px;
               line-height: 20px;
               margin-left: 10px;
               margin-bottom: 0;
            }
         }

         .button--see-more {
            position: relative;
            background: transparent;
            outline: none;
            border: none;
            width: 100%;
            padding: 0;
            margin: 0;
            text-align: left;
            font-size: 13px;
            font-weight: 600;
            line-height: 20px;
            color: #2f3292;
            cursor: pointer;
         }
      }
   }

   .filter-content__title {
      .fc__title-link {
         position: absolute;
         top: 0;
         left: 0;
         width: 100%;
         display: block;
         text-align: left;
         height: 40px;
         padding: 0 14px;
         box-sizing: border-box;
         white-space: nowrap;
         cursor: pointer;
         text-decoration: none;

         &::before {
            content: "";
            display: inline-block;
            vertical-align: middle;
            width: 0;
            height: 100%;
         }

         span {
            display: inline-block;
            vertical-align: middle;
            width: 100%;
            
            span {
               display: block;
               font-size: 14px;
               font-weight: 600;
               color: #555555;
               white-space: nowrap;
               text-overflow: ellipsis;
               overflow: hidden;
            }
         }
      }
   }
}

.content-right {
   .layout-content {
      .layout-content__container {
         border: 1px solid #e0e0e0;
         border-radius: 5px;
         background: #fff;
      }

      .lc--title-n-view {
         position: relative;
         padding: 15px;
         min-height: 25px;
         line-height: 25px;
         font-size: 14px;
         display: flex;
         justify-content: space-between;
         align-items: center;
         border-bottom: 1px solid #e0e0e0;

         .lc-tnv--title {
            margin: 0;
            color: #636363;
         }
      }

      .lc-tnv--title {
         display: flex;
         justify-content: flex-start;
         align-items: center;

         .numb {
            color: #222222;
            font-weight: bold;
         }

         .separator {
            visibility: hidden;
            &.show {
               visibility: visible;
            }
         }

         .tags {
            display: inline-block;
            font-weight: 600;
            margin-bottom: 0;
            color: #222222;

            &::after {
               content: ",";
               margin-left: 2px;
               margin-right: 2px;
            }

            &:last-child {
               &::after {
                  display: none;
               }
            }
         }
      }

      .lc--list-content {
         position: relative;
         padding: 25px 15px;
      }
   }
}


// trees content
ul.trees {
   padding: 0;
   margin-bottom: 0;
   
   li {
      list-style: none;
      margin: 0;
   }
}

.trees {
   label {
      font-weight: 400;
      font-size: 13px;
      line-height: 19px;
   }

   .trees-child {
      li {
         label {
            font-weight: normal;
            font-size: 13px;
            line-height: 19px;
            margin-bottom: 4px;
         }

         &::last-child {
            .label {
               margin-bottom: 0;
            }
         }
      }
   }

   li {
      padding: 1px 25px 1px 0;
      position: relative;

      &>label {
         position: relative;
         display: flex;
         align-items: center;
      }

      &:last-child {
         &::after {
            content: "";
            position: absolute;
            width: 2px;
            height: 13px;
            background: #fff;
            left: -1px;
            bottom: 0px;
         }
      }

      input {
         margin-right: 8px;
      }

      &.has-child {
         &>ul {
            display: none;
         }

         &>input {
            opacity: 0;
            position: absolute;
            right: -7px;
            z-index: 9999;
            top: 5px;

            &+.tree-control {
               position: absolute;
               right: 0px;
               z-index: 2;
               display: inline-block;

               &::after {
                  font-family: "Font Awesome\ 5 Free";
                  content: "\f078";
                  font-weight: 900;
                  font-size: 13px;
                  color: #343434;
                  position: absolute;
                  right: 0;
               }
            }
         }

         .has-child--flex {
            display: flex;
            justify-content: flex-start;
            align-items: center;
         }
      }
   }

   &-child {
      li {
         padding-left: 20px;
         padding-right: 0;
      }
   }
}

.trees li.has-child>input:checked~ul {
   display: block;
   padding-left: 0;
}

.trees ul li.has-child:last-child {
   border-left: none
}

.trees ul li.has-child:nth-last-child(2):after {
   content: "";
   width: 1px;
   height: 5px;
   border-left: dotted 1px #bcbec0;
   position: absolute;
   bottom: -5px;
   left: -1px
}

.tree-alt li {
   padding: 4px 0
}

.show-more {
   &.provinsi,
   &.kota-kab,
   &.kualifikasi,
   &.badan-usaha {
      display: none;
   }
}

.filter-content__item {
   .button-expand {
      position: relative;
      white-space: nowrap;
      width: 100%;
      text-overflow: ellipsis;
      overflow: hidden;
      color: #2f3292;
      cursor: pointer;

      &.kota-kab {
         padding-left: 20px;
         padding-bottom: 10px;
      }
   }

   a.button-expand__link {
      position: relative;
      background: transparent;
      padding: 0;
      outline: none;
      border: none;
      width: 100%;
      white-space: nowrap;
      color: #2f3292;
      font-size: 13px;
      text-align: left;
      margin: 0;
      cursor: pointer;
      font-weight: 500;
      line-height: 20px;

      span {
         width: 100%;
         overflow: hidden;
         text-overflow: ellipsis;
      }
   }
}

.filter-content__item {
   .content-item {
      position: relative;

      a.content-item__link {
         text-decoration: none;
         margin-bottom: 5px;
         display: flex;
         align-items: center;
         color: #353535;

         &:hover {
            color: #2f3292;
         }

         &:last-child {
            margin-bottom: 0;
         }

         .link__text {
            display: block;
            font-size: 13px;
            font-weight: normal;
            line-height: 19px;
            box-sizing: border-box;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 100%;
            padding-right: 20px;
         }

         .link__arrow {
            display: block;
            position: relative;
            top: 0;
            right: 0;
            background: transparent;
            border: none;
            outline: none;

            i {
               font-weight: 900;
               font-size: 13px;
               color: #343434;
            }
         }
      }
   }
}

.table-small-text {
   .c-table--sertifikasi thead tr th {
      font-size: 13px;
      line-height: 20px;
      font-weight: 600;
   }

   .c-table--sertifikasi.c-table--striped tbody tr td,
   .c-table--sertifikasi.c-table--striped tbody tr th {
      font-size: 12px;
      line-height: 20px;
      font-weight: 500;
   }
}

.modal-pencarian {
   .c-modal__body {
      &.modal-body__pencarian-bu {
         padding: 0;
      }
   }

   .c-modal__content {
      width: auto;
      border: 0;
      border-radius: 0;
   }

   .close.c-modal__btn-close {
      margin-top: -18px;
   }

   .modal-body__pencarian-bu {
      position: relative;
      width: 600px;
      max-height: 500px;
      z-index: 1001;
      overflow: hidden;
      margin-top: -18px;
   }

   .modal-body__content {
      position: relative;
      height: 500px;
      padding-bottom: 50px;
   }

   .modal-body__footer {
      position: absolute;
      bottom: 0;
      right: 0;
      width: 100%;
      padding: 10px;
      box-sizing: border-box;
      box-shadow: 0 -1px 7px 0 rgba(0, 0, 0, 0.15);
   }

   .modal-body__content {
      .mbc__container {
         height: 395px;
      }

      .mbc__header {
         position: relative;
         width: 100%;
         height: 60px;
         padding: 0 15px;
         box-sizing: border-box;
         white-space: nowrap;
         border-bottom: 1px solid #e0e0e0;
      }

      .mbc__content {
         position: relative;
         height: 100%;
         padding: 0 15px 10px;
         box-sizing: border-box;
         overflow: hidden;
      }
   }

   .mbc__header {
      .mbc__header-title {
         position: relative;
         height: 100%;
         max-width: 20%;
         margin-right: 20px;
         white-space: nowrap;
         text-overflow: ellipsis;
         overflow: hidden;
         float: left;

         &::before {
            content: "";
            position: relative;
            width: 0;
            height: 100%;
            display: inline-block;
            vertical-align: middle;
         }

         span {
            display: inline-block;
            vertical-align: middle;
            font-size: 13px;
            font-weight: 600;
            white-space: nowrap;
         }
      }

      .mbc__header-form {
         position: relative;
         height: 100%;
         white-space: nowrap;
         overflow: hidden;

         &::before {
            content: "";
            display: inline-block;
            vertical-align: middle;
            height: 100%;
            width: 0;
         }

         .form-searchbar {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            height: 38px;
            border-radius: 4px;
            background-color: #f1f1f1;
            white-space: nowrap;

            &.full-width {
               width: 85%;
            }
         }
      }

      .form-searchbar {
         i {
            font-weight: 400;
            font-style: normal;
            text-decoration: inherit;
            -webkit-font-smoothing: antialiased;
            line-height: normal;
         }
         .fs-icon {
            background: url('../../assets/icon/icon_sprite_magnifier@2x.png') no-repeat 15% 50% / 600%;
            width: 20px;
            height: 20px;
            margin: 0 5px 0 10px;
            position: relative;
            display: inline-block;
            vertical-align: middle;
            font-size: 12px;
            white-space: nowrap;
         }

         input.fs-input {
            position: relative;
            display: inline-block;
            width: 100%;
            height: 100%;
            margin: 0;
            box-sizing: border-box;
            outline: none;
            border: none;
            background-color: #f1f1f1;
            border-radius: 4px;
            box-shadow: none;
         }

         input[type=text] {
            transition: border linear .2s,box-shadow linear .2s;
            min-height: 20px;
            padding: 7px 12px;
            font-size: 13px;
            line-height: 20px;
            color: #555;
            vertical-align: middle;
            font-weight: 400;
         }
      }
   }
}

.modal-pencarian {
   .close.c-modal__btn-close {
      background-color: #2f3292;
      border-radius: 50%;
      padding: 0;
      text-align: center;
      font-size: 24px;
      font-weight: 500;
      color: #fff;
      opacity: .75;
      width: 36px;
      height: 36px;
      line-height: 36px;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-right: -18px;
      margin-top: -18px;
   }
}

.mbc__content {
   .mbc__container {
      height: 298px;
   }

   .mbc__position {
      position: relative;
      overflow: hidden;
      width: 100%;
      height: 100%;
   }

   .mbc__wrapper {
      position: absolute;
      top: 0px;
      left: 0px;
      right: 0px;
      bottom: 0px;
      overflow: scroll;
   }

   .mbc__item-list {
      position: relative;
      margin-bottom: 25px;

      &:last-child {
         margin-bottom: 0;
      }
   }

   .item-list__title {
      display: block;
      margin-bottom: 15px;
      font-size: 14px;
      line-height: 20px;
      color: #555555;
      font-weight: 500;
   }

   .item-list__container {
      position: relative;
      white-space: normal;
   }
}

.item-list__container {
   .custom-control {
      &.custom-radio {
         display: flex;
         justify-content: flex-start;
         align-items: flex-start;
         margin-bottom: 10px;

         &:last-child {
            margin-bottom: 0;
         }
      }

      input {
         margin-top: 3px;
      }

      label {
         font-size: 13px;
         font-weight: normal;
         line-height: 19px;
         margin-left: 10px;
         margin-bottom: 0;
      }
   }
}

.modal-body__footer {
   .mbf__container {
      position: relative;
      display: flex;
      justify-content: flex-end;
      align-items: center;
   }

   button {
      margin-right: 5px;
      &:last-child {
         margin-right: 0;
      }
   }

   .button__modal--fill {
      position: relative;
      text-align: center;
      border: 1px solid #212360;
      border-radius: 4px;
      background: #212360;
      padding: 6px 18px;
      font-size: 13px;
      line-height: 20px;
      font-weight: 500;
      color: #ffffff;

      &:hover {
         background: #2f3292;
      }
   }

   .button__modal--outline {
      position: relative;
      text-align: center;
      border: 1px solid #b9b9b9;
      border-radius: 4px;
      padding: 6px 18px;
      font-size: 13px;
      line-height: 20px;
      font-weight: 500;
      color: #656565;
      background: transparent;

      &:hover {
         background: #ebebeb;
      }
   }
}